/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.extension.brick;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.af3.platform.raspberry.generator.framework.ISharedInstanceGeneratorExtension;

/**
 * Base class for Brick hardware generator extensions using the
 * {@link ISharedInstanceGeneratorExtension} variant.
 * 
 * @author hoelzl
 */
abstract class SharedInstanceBrickGeneratorExtensionBase<T extends EObject> extends
		InstanceBrickGeneratorExtensionBase<T> implements ISharedInstanceGeneratorExtension {
	/** Stores the instance postfix. */
	private String sharedInstancePostfix;

	/** Constructor. */
	public SharedInstanceBrickGeneratorExtensionBase(T modelElement) {
		super(modelElement);
	}

	/** {@inheritDoc} */
	@Override
	public final void setSharedInstancePostfix(String instancePostfix) {
		this.sharedInstancePostfix = instancePostfix;
	}

	/** Returns instancePostfix. */
	public final String getSharedInstancePostfix() {
		return sharedInstancePostfix;
	}

	/** {@inheritDoc} */
	@Override
	public String getSharedInstanceVariableDeclarationCode() {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public String getSharedInstanceAuxiliaryFunctions() {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public String getSharedInstanceInitializationCode() {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public String getSharedInstanceTerminationCode() {
		return null;
	}
}
